Bug 58952 - Update gsmloc ModemManager backend for the new MM1 interface
Update gsmloc ModemManager backend for the new MM1 interface
Status: RESOLVED WONTFIX
Product: GeoClue
Classification: Unclassified
Component: Backends
unspecified
Other All
: medium normal
Assigned To: Geoclue Bugs
Geoclue Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 17:34 UTC by Aleksander Morgado
Modified: 2015-01-25 12:28 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksander Morgado 2013-01-02 17:34:18 UTC
The current ModemManager backend for gsmloc uses the old Location interface.

The Location interface, along with all the other ModemManager interfaces, has been updated for MM >= 0.7.x; see:

http://cgit.freedesktop.org/ModemManager/ModemManager/tree/introspection/org.freedesktop.ModemManager1.Modem.Location.xml

In particular, location sources need to be enabled now in ModemManager via the Setup() call. 3GPP LAC/CI and CDMA Base Station location are by default enabled, but not the GPS location, which is also now implemented for several modems.
Comment 1 Aleksander Morgado 2013-01-02 17:35:18 UTC
Also see the HTML documentation of the interface:

http://www.lanedo.com/~aleksander/modem-manager/api-20121005/api/gdbus-org.freedesktop.ModemManager1.Modem.Location.html
Comment 2 Bastien Nocera 2013-08-24 03:08:23 UTC
The geoclue 1.x codebase is obsolete now, and replaced by geoclue 2.x. I'll close this bug as we won't be updating that codebase.

Any help that you can give Zeeshan with implementing GPS support for mobile broadband modems would be greatly appreciated.
Comment 3 marius 2013-08-27 07:18:16 UTC
So where should a new bug for the 2.x codebase be filed instead?
Comment 4 Zeeshan Ali 2013-08-27 12:45:48 UTC
(In reply to comment #3)
> So where should a new bug for the 2.x codebase be filed instead?

Right here on this bz, just that older bugs don't apply to new code.
Comment 5 marius 2015-01-24 15:39:10 UTC
Seems like this is fixed in GeoClue2 codebase. I see that it is using libmm library, and see the use of MM_MODEM_LOCATION_SOURCE_3GPP_LAC_CI in "src/gclue-modem-source.c" as pointed to in comment #1.
Comment 6 Zeeshan Ali 2015-01-25 12:28:09 UTC
(In reply to marius from comment #5)
> Seems like this is fixed in GeoClue2 codebase. I see that it is using libmm
> library, and see the use of MM_MODEM_LOCATION_SOURCE_3GPP_LAC_CI in
> "src/gclue-modem-source.c" as pointed to in comment #1.

That is correct.